var index =
[
    [ "OpenMesh Python Bindings", "index.html#openmesh-python", null ],
    [ "Building OpenMesh", "index.html#iov", null ],
    [ "Compiling OpenMesh", "a06139.html", [
      [ "Tested compilers", "a06139.html#compilers", null ],
      [ "Required libraries (Only if you want to build the included Apps)", "a06139.html#req_libs", null ],
      [ "Chosing build system", "a06139.html#build_systems", null ],
      [ "Unix", "a06139.html#sec_compiling_unix", [
        [ "Compiling OpenMesh using CMake", "a06139.html#linux_using_cmake", null ]
      ] ],
      [ "Windows", "a06139.html#sec_compiling_windows", [
        [ "Compiling OpenMesh using CMake", "a06139.html#windows_using_cmake", null ]
      ] ],
      [ "MacOS X", "a06139.html#sec_compiling_macosx", [
        [ "Compiling OpenMesh using CMake", "a06139.html#mac_using_cmake", null ]
      ] ]
    ] ],
    [ "Compiling OpenMesh unit tests", "a06140.html", null ],
    [ "Using and understanding OpenMesh", "a06142.html", [
      [ "Features and Goals of OpenMesh", "a06145.html", null ],
      [ "The Halfedge Data Structure", "a06147.html", null ],
      [ "Mesh Iterators and Circulators", "a06153.html", [
        [ "Iterators", "a06153.html#it_iters", [
          [ "Deleted Elements", "a06153.html#deletedElements", null ]
        ] ],
        [ "How to use iterators in OpenMesh", "a06153.html#it_iters_h", null ],
        [ "Skipping Iterators", "a06153.html#it_iters_skipping", null ],
        [ "Circulators", "a06153.html#it_circs", null ],
        [ "How to use circulators in OpenMesh", "a06153.html#it_circs_h", null ]
      ] ],
      [ "How to navigate on a mesh", "a06155.html", [
        [ "Overview", "a06155.html#nav_overview", null ],
        [ "Introduction", "a06155.html#nav_intro", null ],
        [ "Navigating over halfedges", "a06155.html#nav_he", null ],
        [ "Mesh boundaries", "a06155.html#nav_bound", null ],
        [ "Using incoming and outgoing halfedges", "a06155.html#nav_io", null ],
        [ "Using opposite halfedges", "a06155.html#nav_opposite", null ],
        [ "Getting the to and from vertices", "a06155.html#nav_to_from", null ]
      ] ],
      [ "Read and write meshes from files", "a06152.html", [
        [ "Step 1 - IOManager quick start", "a06152.html#mesh_io_quick", null ],
        [ "Step 2 - The theory behind IOManager", "a06152.html#mesh_io_theory", null ],
        [ "Step 3 - How to extend IOManager", "a06152.html#mesh_io_extend", [
          [ "Adding support for a new file format", "a06152.html#mesh_io_extend_fileformat", null ],
          [ "Adding support for a new data structure", "a06152.html#mesh_io_extend_datastruct", null ]
        ] ]
      ] ],
      [ "Some basic operations: Flipping and collapsing edges", "a06156.html", [
        [ "Flipping edges in triangle meshes", "a06156.html#op_flip", null ],
        [ "Collapsing edges", "a06156.html#op_collapse", null ]
      ] ],
      [ "Conceptual Class Hierarchy", "a06148.html", [
        [ "Building the kernel", "a06148.html#ch_kernel", null ],
        [ "Building the mesh", "a06148.html#ch_complete", null ]
      ] ],
      [ "Specifying your MyMesh", "a06149.html", [
        [ "Polygonal or Triangle Mesh?", "a06149.html#sec_select_face_type", null ],
        [ "Choosing the right kernel", "a06149.html#sec_select_kernel", null ],
        [ "Mesh Traits", "a06149.html#sec_select_traits", [
          [ "Changing the Point type", "a06149.html#sec_change_point", null ],
          [ "Adding Predefined Attributes", "a06149.html#sec_add_attributes", null ],
          [ "Adding User-Defined Elements", "a06149.html#sec_add_traits", null ],
          [ "Using traits defined by algorithms", "a06149.html#sec_algo_traits", null ]
        ] ],
        [ "Dynamic Properties", "a06149.html#sec_properties", null ],
        [ "Final Implementation Example", "a06149.html#sec_traits_example", null ]
      ] ],
      [ "Specifying an OpenMesh using Eigen3 vectors", "a06150.html", null ]
    ] ],
    [ "OpenMesh Tools Documentation", "a06160.html", [
      [ "Mesh Decimation Framework", "a06141.html", [
        [ "The decimation algorithm", "a06141.html#DecimaterAlg", null ],
        [ "Block vertices from beeing touched by the Decimater", "a06141.html#DecimaterLock", null ],
        [ "Decimating Modules", "a06141.html#DecimaterMod", null ],
        [ "Module Handles", "a06141.html#DecimaterHnd", null ],
        [ "Basic Setup", "a06141.html#DecimaterExa", null ]
      ] ],
      [ "Sudivision Tools", "a06159.html", [
        [ "Overview", "a06159.html#OM_Subdivider_Overview", null ],
        [ "Usage", "a06159.html#OM_Subdivider_Usage", null ]
      ] ],
      [ "View Dependent Progressive Meshes", "a06177.html", null ],
      [ "Smoother Tools", "a06157.html", [
        [ "Overview", "a06157.html#OM_Smoother_Overview", null ],
        [ "Usage", "a06157.html#OM_Smoother_Usage", null ],
        [ "Options", "a06157.html#Options", [
          [ "Continuity", "a06157.html#Continuity", null ],
          [ "Component", "a06157.html#Component", null ],
          [ "Local Error", "a06157.html#localError", null ]
        ] ]
      ] ],
      [ "Smart Tagger", "a06178.html", null ]
    ] ],
    [ "Tutorials (code examples)", "a06176.html", [
      [ "How to create your own project using OpenMesh and cmake", "a06175.html", null ],
      [ "First Steps - Building a cube", "a06161.html", null ],
      [ "Using iterators and circulators", "a06162.html", null ],
      [ "Using (custom) properties", "a06163.html", null ],
      [ "Using STL algorithms", "a06164.html", null ],
      [ "Using Smart Handles", "a06172.html", null ],
      [ "Filtering ranges with predicates", "a06173.html", null ],
      [ "Using standard properties", "a06165.html", null ],
      [ "Using mesh attributes and traits", "a06166.html", null ],
      [ "Extending the mesh using traits", "a06167.html", null ],
      [ "Deleting geometry elements", "a06168.html", null ],
      [ "Using IO::Options", "a06169.html", null ],
      [ "Using custom properties (old style)", "a06170.html", null ],
      [ "Storing custom properties", "a06171.html", null ]
    ] ],
    [ "Additional Information on OpenMesh", "a06143.html", [
      [ "Notes on template programming", "a06144.html", null ],
      [ "Some words on the C++ implementation", "a06146.html", null ],
      [ "Where do I find a list of all member functions ?", "a06151.html", null ],
      [ "Naming Conventions", "a06154.html", null ],
      [ "Some Notes on how to speedup OpenMesh", "a06158.html", null ],
      [ "Changelog", "a06138.html", null ]
    ] ]
];